/*
 * Driver include for the RICOH5B Tuner chip.
 *
 * Copyright 2015,2016 SONY Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef  _RICOH5B_CFG_H
#define  _RICOH5B_CFG_H

#include "st_cfg.h"

/******************************************************************************/
/*! @brief X'tal Setting
*//****************************************************************************/
#define RICOH5B_X_TAL_32KHZ    0  //!< :X'tal oscillation frequency 32kHz
#define RICOH5B_X_TAL_12MHZ    1  //!< :X'tal oscillation frequency 12MHz

  /*-------------------------------------*/
  /* Please select X'tal from above list */
  /*-------------------------------------*/
#if (ST_RICOH5B_XTAL_TYPE == ST_RICOH5B_XTAL_32KHZ)
  #define RICOH5B_SELECT_X_TAL      RICOH5B_X_TAL_32KHZ
#elif (ST_RICOH5B_XTAL_TYPE == ST_RICOH5B_XTAL_12MHZ)
  #define RICOH5B_SELECT_X_TAL      RICOH5B_X_TAL_12MHZ
#else
  #error
#endif

/******************************************************************************/
/*! @brief Audio Output Setting
*//****************************************************************************/
#define RICOH5B_AUDIO_OUTPUT_ANALOG    0  //!< :analog audio output
#define RICOH5B_AUDIO_OUTPUT_IIS_32FS  1  //!< :IIS 32fs mode
#define RICOH5B_AUDIO_OUTPUT_IIS_64FS  2  //!< :IIS 64fs mode

/*----------------------------------------------------*/
/* Please select audio output setting from above list */
/*----------------------------------------------------*/
/* SAKANA 20160629 KAMIJO [start] */
#if defined(CONFIG_TARGET_MODEL_GUPPI) || defined(CONFIG_TARGET_MODEL_VURI) || defined(CONFIG_TARGET_MODEL_ANKOU)
#define RICOH5B_SELECT_AUDIO_OUTPUT    RICOH5B_AUDIO_OUTPUT_ANALOG
#else
#define RICOH5B_SELECT_AUDIO_OUTPUT    RICOH5B_AUDIO_OUTPUT_IIS_32FS
#endif
/* SAKANA 20160629 KAMIJO [end] */

#endif  /* _RICOH5B_CFG_H */

/* end of ricoh5b_cfg.h */
